---
title: "Get Channel History"
slug: "get-channel-history"
updated: 2026-06-01T06:32:04Z
published: 2026-06-01T06:32:04Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Channel History

Get/api/v1/channels.history

Retrieves the history of a channel. You must be a member of the channel or have the `preview-c-room` permission.

### Changelog

| Version | Description |
| --- | --- |
| 0.75.0 | Added offset property |
| 0.47.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersroomIdstring

The room ID. It is required if the `roomName` is not provided.

Exampledlpfuijw7ej
roomNamestring

The room name. It is required if the `roomId` is not provided.

Examplegeneral
sort

List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {"value": -1, "_id": 1}. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

countinteger

The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
offsetinteger

Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
lateststring

The end of time range of messages to retrieve. The default value is the current date and time.

Example2016-09-30T13:42:25.304Z
oldeststring

The start of the time range of messages to retrieve

Example2016-05-30T13:42:25.304Z
inclusiveboolean

Whether messages which land on the latest and oldest dates should be included. The default value is false.

Exampletrue
showThreadMessagesboolean

Whether thread messages should be included in the response

Exampletrue
unreadsboolean

Whether the number of unread messages should be included. The default value is false.

Examplefalse

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='a9b8c3f5-ef9b-4614-af12-069f66f74acb'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='b57c4919-f0a7-478a-abfa-b5297ea6d5d2'>Example</option>
</select>Example

```json
{
  "messages": [
    {
      "_id": "AkzpHAvZpdnuchw2a",
      "rid": "ByehQjC44FwMeiLbX",
      "msg": "hi",
      "ts": "2016-12-09T12:50:51.555Z",
      "u": {
        "_id": "y65tAmHs93aDChMWu",
        "username": "testing"
      },
      "_updatedAt": "2016-12-09T12:50:51.562Z"
    },
    {
      "_id": "vkLMxcctR4MuTxreF",
      "t": "uj",
      "rid": "ByehQjC44FwMeiLbX",
      "ts": "2016-12-08T15:41:37.730Z",
      "msg": "testing2",
      "u": {
        "_id": "bRtgdhzM6PD9F8pSx",
        "username": "testing2"
      },
      "groupable": false,
      "_updatedAt": "2016-12-08T16:03:25.235Z"
    },
    {
      "_id": "bfRW658nEyEBg75rc",
      "t": "uj",
      "rid": "ByehQjC44FwMeiLbX",
      "ts": "2016-12-07T15:47:49.099Z",
      "msg": "testing",
      "u": {
        "_id": "nSYqWzZ4GsKTX4dyK",
        "username": "testing1"
      },
      "groupable": false,
      "_updatedAt": "2016-12-07T15:47:49.099Z"
    },
    {
      "_id": "pbuFiGadhRZTKouhB",
      "t": "uj",
      "rid": "ByehQjC44FwMeiLbX",
      "ts": "2016-12-06T17:57:38.635Z",
      "msg": "testing",
      "u": {
        "_id": "y65tAmHs93aDChMWu",
        "username": "testing"
      },
      "groupable": false,
      "_updatedAt": "2016-12-06T17:57:38.635Z"
    }
  ],
  "success": true
}
```

Expand Allobject  files Array of object   object  _idstring    
namestring    
sizeinteger    
typestring    
ridstring    
userIdstring    
storestring    
_updatedAtstring    
identifyobject  formatstring    
sizeobject  widthinteger    
heightinteger    

completeboolean    
etagstring    
pathstring    
progressinteger    
tokenstring    
uploadedAtstring    
uploadingboolean    
urlstring    
typeGroupstring    
userobject  _idstring    
usernamestring    
namestring    

countinteger    
offsetinteger    
totalinteger    
successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='91cd92b3-77d4-4a9b-bc0c-9896b1ad9b5e'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='e08c5f89-de9e-45f4-b361-8a1e73a6a726'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
